<?php
if (session_status() === PHP_SESSION_NONE) session_start();

try {
    require realpath(dirname(__FILE__) . '/../include/helper_functions/data_request.php');
    $properties = fetchData(table: 'properties');
} catch (\Throwable $th) {
    //throw $th;
    error_log("exception error occurred in shared_essentials.php file Error: " . $th->getMessage());
    echo "An exception error occurred in shared_essentials.php file.";
    exit;
}
